## org.eclipse.emf.ecoretools.diagram.expressions
Class EcoreAbstractExpression

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.expressions.EcoreAbstractExpression

    public abstract class EcoreAbstractExpression

extends java.lang.Object

Nested Class Summary
`static class` `EcoreAbstractExpression.NoImplException`

Constructor Summary
`protected` `EcoreAbstractExpression(org.eclipse.emf.ecore.EClassifier context)`
`protected` `EcoreAbstractExpression(java.lang.String body, org.eclipse.emf.ecore.EClassifier context)`

Method Summary
`void` `assignTo(org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EObject target)`
`java.lang.String` `body()`
`org.eclipse.emf.ecore.EClassifier` `context()`
`static EcoreAbstractExpression` `createNullExpression(org.eclipse.emf.ecore.EClassifier context)`
`protected abstract java.lang.Object` `doEvaluate(java.lang.Object context, java.util.Map env)`
`java.lang.Object` `evaluate(java.lang.Object context)`
`java.lang.Object` `evaluate(java.lang.Object context, java.util.Map env)`
`org.eclipse.core.runtime.IStatus` `getStatus()`
`protected java.lang.Object` `performCast(java.lang.Object value, org.eclipse.emf.ecore.ETypedElement targetType)`
`protected void` `setStatus(int severity, java.lang.String message, java.lang.Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreAbstractExpression

    protected EcoreAbstractExpression(org.eclipse.emf.ecore.EClassifier context)

### EcoreAbstractExpression

    protected EcoreAbstractExpression(java.lang.String body,
                                      org.eclipse.emf.ecore.EClassifier context)

Method Detail

### setStatus

    protected void setStatus(int severity,
                             java.lang.String message,
                             java.lang.Throwable throwable)

### doEvaluate

    protected abstract java.lang.Object doEvaluate(java.lang.Object context,
                                                   java.util.Map env)

### evaluate

    public java.lang.Object evaluate(java.lang.Object context)

### evaluate

    public java.lang.Object evaluate(java.lang.Object context,
                                     java.util.Map env)

### getStatus

    public org.eclipse.core.runtime.IStatus getStatus()

### body

    public java.lang.String body()

### context

    public org.eclipse.emf.ecore.EClassifier context()

### assignTo

    public void assignTo(org.eclipse.emf.ecore.EStructuralFeature feature,
                         org.eclipse.emf.ecore.EObject target)

### performCast

    protected java.lang.Object performCast(java.lang.Object value,
                                           org.eclipse.emf.ecore.ETypedElement targetType)

### createNullExpression

    public static final EcoreAbstractExpression createNullExpression(org.eclipse.emf.ecore.EClassifier context)

Copyright 2007 Anyware Technologies. All Rights Reserved.